public class kapi
{
public double U;
//Pencere tipi (isaret)
// 0 tek camlı pencere
// 1 çift camlı pencere (kaplamasız cam)
// 2 çift camlı pencere (low-e kaplamalı)
//Doğrama tipi
// 0 doğramasız
// 1 ahşap doğrama (meşe, dişbudak/sert ağaçlar)
// 2 ahşap doğrama (iğne yapraklı yumuşak ağaçlar)
// 3 plastik doğrama (2 odacıklı)
// 4 plastik doğrama (3 odacıklı)
// 5 aliminyum doğrama
// 6 aliminyum doğrama (yalıtım köprülü) 
String kapitipi[]={"0 basit tek camlı pencere ve ahşap dış kapı",
"1 Özel birleştirilmiş çift camlı pencere (ÇCP) ve ahşap dış kapı(DK) iki cam arası 6 mm",
"2 Özel birleştirilmiş çift camlı pencere (ÇCP) ve ahşap dış kapı(DK) iki cam arası 12 mm",
"3 Camsız ahşap dış kapı (DK)",
"4 bitişik çift kanatlı pencere (ÇP) ve ahşap dış kapı (DK)",
"5 kasalı çift kanatlı pencere (ÇP) ve ahşap dış kapı",
"6 basit tek camlı pencere(TP) ve metal dış kapı (DK)",
"7 Özel birleştirilmiş çift camlı pencere (ÇCP) ve metal dış kapı(DK) iki cam arası 6 mm",
"8 Özel birleştirilmiş çift camlı pencere (ÇCP) ve metal dış kapı(DK) iki cam arası 12 mm",
"9 bitişik çift kanatlı pencere (ÇP) ve ahşap dış kapı (DK)",
"10 kasalı çift kanatlı pencere (ÇP) ve metal dış kapı",
"11 tepe penceresi-kapısı (basit) metal",
"12 tepe penceresi-kapısı (çift) metal ",
"13 basit tek camlı pencereli dış kapı plastik ",
"14 özel birleştirilmiş çift camlı pencereli plastik"
};
//x camlar arası boşluk mm
String tip;
public kapi(int referans)
{ 
  if(referans==0) U=5.2;
  else if(referans==1) U=3.3;
  else if(referans==2) U=2.9;
  else if(referans==3) U=3.5;
  else if(referans==4) U=2.6;
  else if(referans==5) U=2.6;
  else if(referans==6) U=5.8;
  else if(referans==7) U=4.0;
  else if(referans==8) U=3.6;
  else if(referans==9) U=3.5;
  else if(referans==10) U=3.3;
  else if(referans==11) U=5.8;
  else if(referans==12) U=3.5;
  else if(referans==13) U=5.0;
  else if(referans==14) U=2.6;
  tip=kapitipi[referans];
}
}
